#!/bin/bash

# updated by WIPAT 2554-09-23

if [ -z $1 ] ; then
  exit
fi

MESSAGE=$1
STARTLOGON=$(echo ${MESSAGE}|cut -d':' -f 2)
MYDIR="/var/www/ticker/datalog"
if [ ! -d ${MYDIR} ] ; then
  mkdir -p ${MYDIR}
fi
THISYEAR=$(echo ${STARTLOGON}|cut -b 1-4)
MYTHISYEAR="${MYDIR}/${THISYEAR}"
if [ ! -d ${MYTHISYEAR} ] ; then
  mkdir -p ${MYTHISYEAR}
fi
THISMONTH=$(echo ${STARTLOGON}|cut -b 5-6)
MYTHISMONTH="${MYDIR}/${THISYEAR}/${THISMONTH}"
if [ ! -d ${MYTHISMONTH} ] ; then
  mkdir -p ${MYTHISMONTH}
fi
TODAY=$(echo ${STARTLOGON}|cut -b 7-8)
MYTODAY="${MYDIR}/${THISYEAR}/${THISMONTH}/${TODAY}"
if [ ! -d ${MYTODAY} ] ; then
  mkdir -p ${MYTODAY}
fi
MYFILE=$(echo ${MESSAGE}|cut -d':' -f 1-5)
MYLOG="${MYTODAY}/${MYFILE}:.txt"
echo "${MESSAGE}" > ${MYLOG} 
